Option Explicit On 
Option Strict On
Option Compare Binary

Imports System
Imports System.Windows.Forms

' <remarks>
'   Stellt Informationen zum Ereignis <c>ControlFound</c> 
'   der Klasse <c>ControlEnumerator</c> bereit.
' </remarks>
Public Class ControlFoundEventArgs
    Inherits EventArgs

    Private m_ctrControl As Control

    ' <summary>
    '   Erstellt eine neue Instanz der Klasse und 
    '   weist den Eigenschaften die bergebenen
    '   Werte zu.
    ' </summary>
    ' <param name="ctrControl">Steuerelement, fr 
    '   das das Ereignis ausgelst wird.</param>
    Public Sub New(ByVal ctrControl As Control)
        m_ctrControl = ctrControl
    End Sub

    ' <summary>
    '   Gibt das Steuerelement, fr das das 
    '   Ereignis ausgelst wird, an oder gibt es zurck.
    ' </summary>
    ' <value>Steuerelement, fr das das Ereignis ausgelst wird.</value>
    Public Property Control() As Control
        Get
            Return m_ctrControl
        End Get
        Set(ByVal Value As Control)
            m_ctrControl = Value
        End Set
    End Property
End Class